Summary:       GNOME Structured File library
Name:          libgsf
Version: 1.14.50
Release: 4%{?dist}
License:       LGPLv2
URL:           https://github.com/GNOME/libgsf
Source0:       https://download.gnome.org/sources/libgsf/1.14/%{name}-%{version}.tar.xz

BuildRequires: bzip2-devel chrpath gettext glib2-devel gdk-pixbuf2-devel
BuildRequires: gobject-introspection-devel intltool libxml2-devel make

%description
A library for reading and writing structured files (e.g. MS OLE and Zip)

%package       devel
Summary:       Support files necessary to compile applications with libgsf
Requires:      libgsf = %{version}-%{release}, glib2-devel, libxml2-devel
Requires:      pkgconfig

%description   devel
Libraries, headers, and support files necessary to compile applications using libgsf.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
    --disable-gtk-doc \
    --disable-static \
    --enable-introspection=yes
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install

%find_lang %{name}

chrpath --delete %{buildroot}%{_bindir}/gsf*

find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files -f libgsf.lang
%license COPYING COPYING.LIB
%doc AUTHORS README
%{_libdir}/libgsf-1.so.*
%{_libdir}/girepository-1.0/Gsf-1.typelib
%{_bindir}/gsf-office-thumbnailer
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/gsf-office.thumbnailer
%{_mandir}/man1/gsf-office-thumbnailer.1*

%files devel
%{_bindir}/gsf
%{_bindir}/gsf-vba-dump
%{_libdir}/libgsf-1.so
%{_libdir}/pkgconfig/libgsf-1.pc
%dir %{_includedir}/libgsf-1
%{_includedir}/libgsf-1/gsf
%{_datadir}/gtk-doc/html/gsf
%{_datadir}/gir-1.0/Gsf-1.gir
%{_mandir}/man1/gsf.1*
%{_mandir}/man1/gsf-vba-dump.1*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.50-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.50-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.50-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 cunshunxia <cunshunxia@tencent.com> - 1.14.50-1
- upgrade to 1.14.50

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.47-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.47-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Shuo Wang <abushwang@tencent.com> - 1.14.47-1
- initial build
